# List Payer Contacts by Payer Endpoint: GET /payer/{payer_id}/payer_contact Version: v1 Security: x-api-key, a-api-key ## Path parameters: - `payer_id` (integer, required) ## Query parameters: - `page` (integer) Example: 1 - `page_size` (integer) Example: 50 - `sort_by` (array) Comma separated search fields. See Sorting Example: ["[\"field_name\",\"field_name\"]"] - `q[]` (array) Filter result by one or more fields. See Query Filtering Available filters: | Value | Format | |---|---| | first_name | string | | surname | string | | email | string | | home_phone | string | | work_phone | string | | mobile | string | | phone | string | | archive | boolean | ## Response 200 fields (application/json): - `payer_contacts` (array) - `payer_contacts.row_num` (integer) - `payer_contacts.total_rows` (integer) - `payer_contacts.links` (object) - `payer_contacts.links.self` (string) Example: "https://api.pracsuite.com/v1/payer_contact/1" - `payer_contacts.tenant_id` (integer) - `payer_contacts.payer_contact_id` (integer) - `payer_contacts.payer_id` (integer) - `payer_contacts.archive` (boolean) - `payer_contacts.title` (string) - `payer_contacts.first_name` (string) - `payer_contacts.surname` (string) - `payer_contacts.address_1` (string) - `payer_contacts.address_2` (string) - `payer_contacts.address_3` (string) - `payer_contacts.address_4` (string) - `payer_contacts.suburb` (string) - `payer_contacts.address_state` (string) - `payer_contacts.postcode` (string) - `payer_contacts.country` (string) - `payer_contacts.phone` (string) - `payer_contacts.home_phone` (string) - `payer_contacts.work_phone` (string) - `payer_contacts.mobile` (string) - `payer_contacts.email` (string) - `payer_contacts.notes` (string) - `payer_contacts.job_title` (string) - `payer_contacts.primary_contact` (boolean) - `total_entries` (integer) ## Response 400 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 400 - `error.code` (string) Example: "INVALID_PARAMS" - `error.detail` (string) Human readable explanation of the error Example: "One or more request parameters are invalid." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 401 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "UNAUTHORIZED" - `error.detail` (string) Human readable explanation of the error Example: "Access could not be verified for this request." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 403 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "MISSING_AUTHENTICATION_TOKEN" - `error.detail` (string) Human readable explanation of the error Example: "Authentication token is missing or the requested endpoint does not exist" - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 500 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 500 - `error.code` (string) Example: "SERVER_ERROR" - `error.detail` (string) Human readable explanation of the error Example: "An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000"